//    Final Release of Patch v86G-8
//
//    Converted to KEAterm script by Lee Wolfe on 02-Apr-2002 to patch
//    HSG80 v86G-7 to v86G-8. Applicable to V86G-1 code build stream and
//    v86G-4 card image. Pre-requisite patches v86G-2, -3, -4, -5, -6
//    and -7 must be installed prior to this patch.
//
//    *************** COMPAQ COMPUTER CORPORATION - DISCLAIMER **************
//    * In accordance to Compaq's commitment to maintain the highest level  *
//    * of customer satisfaction, this patch is being provided to customers *
//    * who have purchased the referenced Storageworks product that is      *
//    * currently covered by one of Compaq's  extensive warranty plans and  *
//    * is also provided to those customers not yet underCompaq's extended  *
//    * warranty plan as a courtesy.  The availability of this patch is in  *
//    * no way an obligation by Compaq to continue this practice in the     *
//    * future.                                                             *
//    ***********************************************************************
//
//    ****************************** WARNING ********************************
//    *                                                                     *
//    *   Please be sure to cut and paste EXACTLY as indicated.  Any        *
//    *   addition or subtraction of pertinent patch data will mean the     *
//    *   patch will not load due to a checksum failure and the controller  *
//    *   will remain at it's original version.                             *
//    *                                                                     *
//    *   As always, any critical data should be backed up prior to         * 
//    *   performing any updates.                                           *
//    ***********************************************************************
//
//    PATCH v86G-8
//
//    Patch Title: Leave FE set when SK=3 on JBOD; fix info bytes 
//    ACS Version: HSG80 v86
//    Patch Number: 8
//    Date: 30-March-2002
//
//    I. Patch Description:
//
//    Problem Symptoms:  
//    1. After a disk drive reports SK=3 unrecoverable read error on a
//       JOBD device or Stripeset that only has JBOD disks (not mirrored),
//       the host is notified of the data being returned as bad.
//       The persistence of bad status of the block is not written back to
//       the disk drive in the FE metadata area.
//    2. SCSI Info bytes returned did not accurately reflect the LBA in
//       error on R5 set.
//
//    Resolution: 
//    1. Now ensure writing of FE against the unrecovered data error on
//       JBOD disk.
//    2. Preserve accurate LBA data and put in response packet for host.
//
//    ----- Begin v86G-8 Script -----
//
MsgBox ("Beginning installation of patch v86G-8. Controller must be at v86G-7 to continue.")
//
CR = "^M"
Send ( CR )
Send ( "run clcp" + CR )
Send ( "2" + CR )
Send ( "1" + CR )
Send ( "y" + CR )
Send ( "V86G" + CR )
Send ( "170" + CR )
Send ( "0" + CR )
Send ( "8" + CR )
Send ( "2" + CR )
Send ( "C0032F28" + CR )
Send ( "84003000" + CR )
Wait ( 20 )
Send ( "C0FFF56C" + CR )
Send ( "2" + CR )
Send ( "C0FFF374" + CR )
Send ( "5C801610" + CR )
Send ( "5C801610" + CR )
Send ( "31" + CR )
Send ( "C0FFF56C" + CR )
Send ( "88A1A06E" + CR )
Send ( "350D2068" + CR )
Send ( "80A1A0EA" + CR )
Wait ( 20 )
Send ( "35052060" + CR )
Send ( "90B1A0CC" + CR )
Send ( "90A59000" + CR )
Send ( "5920D016" + CR )
Send ( "8CA83000" + CR )
Send ( "FFF0FFFF" + CR )
Send ( "58A54094" + CR )
Send ( "58A50990" + CR )
Send ( "92A59000" + CR )
Send ( "90B1A0D8" + CR )
Wait ( 20 )
Send ( "8CA800FF" + CR )
Send ( "59858C08" + CR )
Send ( "59BD8E08" + CR )
Send ( "58A54090" + CR )
Send ( "59A50017" + CR )
Send ( "59858C10" + CR )
Send ( "59BD0E08" + CR )
Send ( "58A54090" + CR )
Send ( "59A50017" + CR )
Send ( "59858C18" + CR )
Wait ( 20 )
Send ( "59BD0E08" + CR )
Send ( "58AD4090" + CR )
Send ( "59BD4017" + CR )
Send ( "92B91000" + CR )
Send ( "90A9A0CC" + CR )
Send ( "80A56007" + CR )
Send ( "84003000" + CR )
Send ( "C0032F30" + CR )
Send ( "0" + CR )
Send ( "276F5BCE" + CR )
Send ( "3" + CR )
Send ( "0" + CR )
//
//    ----- End v86G-8 Script -----
//
MsgBox ("Patch v86G-8 has been installed. Restart controller for patch to take affect. If dual controllers, patch other controller now.")
//